#ifndef _DBCONFIG_H
#define _DBCONFIG_H

/**
       
@memo   
@name DatabaseConfig
@author (c) 2004 .. , .. 
@version 1.0  \today
*/

/*@{*/

/**
      \Ref{FRAGMENTS_IN_RELATION} .
        .
@memo  
@see RELATIONS_IN_DATABASE define_TUPLES_IN_FRAGMENT NODES_IN_CLUSTER
*/
#define FRAGMENTS_IN_RELATION	(3)

/**
    .
@memo   
@see FRAGMENTS_IN_RELATION define_RELATIONS_FILENAMES
*/
#define RELATIONS_IN_DATABASE	(3)

/**
     
\begin{verbatim}
R<_>F<_>.txt
\end{verbatim}
 {\bf  } -       0  \Ref{RELATIONS_IN_DATABASE}-1 ,
{\bf  } -       0  \Ref{FRAGMENTS_IN_RELATION}-1 .

      dbconfig.c    :
\begin{verbatim}
const char * RELATIONS_FILENAMES[RELATIONS_IN_DATABASE][FRAGMENTS_IN_RELATION]=define_RELATIONS_FILENAMES;
\end{verbatim}
     ,       
 (  0).

          :
\begin{verbatim}
{	{"R0F0.txt", "R0F1.txt", "R0F2.txt"},	\
	{"R1F0.txt", "R1F1.txt", "R1F2.txt"},	\
	{"R2F0.txt", "R2F1.txt", "R2F2.txt"}	}
\end{verbatim}
@memo   
@see RELATIONS_IN_DATABASE FRAGMENTS_IN_RELATION
*/
#define define_RELATIONS_FILENAMES			\
	{										\
	{"R0F0.txt", "R0F1.txt", "R0F2.txt"},	\
	{"R1F0.txt", "R1F1.txt", "R1F2.txt"},	\
	{"R2F0.txt", "R2F1.txt", "R2F2.txt"}	\
	}
extern const char * RELATIONS_FILENAMES[RELATIONS_IN_DATABASE][FRAGMENTS_IN_RELATION];

/**
      
@memo    
@see define_TUPLES_IN_FRAGMENT DOMAIN_VALUE_MAX
*/
#define ATTRIBUTES_IN_RELATION	(4)

/**
          .

      dbconfig.c    :
\begin{verbatim}
const int TUPLES_IN_FRAGMENT[RELATIONS_IN_DATABASE]=define_TUPLES_IN_FRAGMENT;
\end{verbatim}

          :
\begin{verbatim}
{5, 6, 7}
\end{verbatim}
@memo    
@see RELATIONS_IN_DATABASE FRAGMENTS_IN_RELATION
*/
#define define_TUPLES_IN_FRAGMENT	{1, 1, 1}
extern const int TUPLES_IN_FRAGMENT[RELATIONS_IN_DATABASE];

/**
          .
        1  \Ref{ATTRIBUTES_IN_RELATION}-1 .
    0        
   .
 
      dbconfig.c    :
\begin{verbatim}
const int FRAGMENTATION_ATTRIBUTES[RELATIONS_IN_DATABASE]=define_FRAGMENTATION_ATTRIBUTES;
\end{verbatim}

          :
\begin{verbatim}
{1, 1, 2}
\end{verbatim}
@memo  
@see RELATIONS_IN_DATABASE ATTRIBUTES_IN_RELATION
*/
#define define_FRAGMENTATION_ATTRIBUTES	{1, 1, 2}
extern const int FRAGMENTATION_ATTRIBUTES[RELATIONS_IN_DATABASE];

/**
      \Ref{ATTRIBUTES_IN_RELATION}   
 int.         
     0  \Ref{DOMAIN_VALUE_MAX}-1 .
@memo   
@see ATTRIBUTES_IN_RELATION
*/
#define DOMAIN_VALUE_MAX	(100)

/*@}*/

#endif /* _DBCONFIG_H */