#ifndef _AGENTMGR_H
#define _AGENTMGR_H

/**
       
           
   .
        ,   
   EXCHANGE       -
""   STORE    . 
      STORE.
@memo   
@name  AgentManager
@author (c) 2004 .. , .. 
@version 1.0  \today
@see Parallelizer Engine
*/

#include "parallel.h"	/*   */

/*@{*/

/**
     
@name AgentManager_Constants
@memo    
*/

/*@{*/

/**
    PMERGE_NODE   
(   --    stdout) 
  .
@memo -  
@see am_PMergeFn
*/
#define PMERGE_NODE	(0)

/*@}*/

/**
     
@name AgentManager_Functions
@memo    
*/

/*@{*/

/**
        
         .
       .
@memo    
@param node	   	
@return 0       
@see pl_ParallelizeQuery ErrorCodes
*/
extern int am_InitAgentManager(int node);

/**
          
     .
@memo   
@param root        
@return        NULL   
@see treenode_t
*/
extern treenode_t * am_MakeAgent(treenode_t * root);

/**
     :
\begin{verbatim}
return PMERGE_NODE;
\end{verbatim}
  \Ref{PMERGE_NODE}   -.
@memo   -
@param tuple   ;
@param attr       (  0);
		      0     
          .
@return  -""    0  \Ref{FRAGMENTS_IN_RELATION}-1 
@see PMERGE_NODE distribute_fn_t tuple_t
*/
extern int am_PMergeFn(tuple_t tuple, int attr);

/**
     STORE.     
  " ".        
   stdout.
@memo   STORE
@return       STORE; -EOF    
 
@see EOFtuple Bracket execute_fn_t ResetSTORE ExecuteRESTRICT ExecuteJOIN_NestedLoops ExecuteSPLIT ExecuteMERGE ExecuteGATHER ExecuteSCATTER  
*/
extern tuple_t ExecuteSTORE(treenode_t * node);

/**
   STORE      .
@memo   STORE
@param node     
@return 0       
@see reset_fn_t ExecuteSTORE ErrorCodes
*/
extern int ResetSTORE(treenode_t * node);

/*@}*/

/*@}*/

/*
@memo     
*/
extern char agentstr[1024];

#endif /* _AGENTMGR_H */