#ifndef _LINEPLAN_H
#define _LINEPLAN_H

/**
      
         .
      , , .
@memo   
@name  PlanGenerator
@author (c) 2004 .. , .. 
@version 1.0  \today
@see Compiler Parallelizer
*/

#include "compiler.h"	/*   */
#include "dbgen.h"		/*    */


/*@{*/

/**
     
@name PlanGenerator_Functions
@memo    
*/

/*@{*/

/**
        
         .
       .
@memo    
@param node	   	
@return 0       
@see lp_GeneratePlan ErrorCodes
*/
extern int lp_InitPlanGenerator(int node);

/**
          
      .
@memo   
@param     
@return 0       
@see cp_CompileQuery ErrorCodes
*/
extern int lp_GeneratePlan(treenode_t * root);


/**
     .     
  " ".
@memo   
@param node     
@return        , 
  ;     --   -EOF.
@see EOFtuple execute_fn_t Bracket ResetRESTRICT ExecuteJOIN_NestedLoops ExecuteSCAN ExecuteSPLIT ExecuteMERGE ExecuteGATHER ExecuteSCATTER
*/
extern tuple_t ExecuteRESTRICT(treenode_t * node);

/**
         .
@memo   
@param node     
@return 0       
@see reset_fn_t ExecuteRESTRICT ErrorCodes
*/
extern int ResetRESTRICT(treenode_t * node);

/**
        . 
      " ".

{\it . }      -   
(,   ,   -,   .).
@memo      
@param node     
@return        , 
  ;     --   -EOF.
@see EOFtuple execute_fn_t Bracket ExecuteRESTRICT ExecuteSCAN ExecuteSPLIT ExecuteMERGE ExecuteGATHER ExecuteSCATTER
*/
extern tuple_t ExecuteJOIN_NestedLoops(treenode_t * node);

/**
         .
@memo   
@param node     
@return 0       
@see reset_fn_t ExecuteJOIN_NestedLoops ErrorCodes
*/
extern int ResetJOIN(treenode_t * node);

/**
            
 .
@memo   
@param node     
@return        , 
  ;     --   -EOF.
@see EOFtuple execute_fn_t FileManager ExecuteRESTRICT ExecuteJOIN_NestedLoops ExecuteSPLIT ExecuteMERGE ExecuteGATHER ExecuteSCATTER
*/
extern tuple_t ExecuteSCAN(treenode_t * node);

/**
         
     . 
      .
@memo   
@param node     
@return 0       
@see reset_fn_t ExecuteSCAN ErrorCodes
*/
extern int ResetSCAN(treenode_t * node);

/*@}*/

/*@}*/

#endif /* _LINEPLAN_H */