/*
         :
    (  FRAGMENTS_IN_RELATION);
     (  RELATIONS_IN_DATABASE);
     (  ATTRIBUTES_IN_RELATION);
    (   FRAGMENTATION_ATTRIBUTES);
   (  RELATIONS_FILENAMES);
     (   TUPLES_IN_FRAGMENT).
@memo   
@name DatabaseConfig_Implementation
@author .. 
@version 1.0
@see Database
*/

#include "dbconfig.h"

/*@{*/

/*
       
@name DatabaseConfig_Implementation_Constants
@memo    
*/

/*@{*/

/*
     R<_>F<_>.txt,  
_ -      0..RELATIONS_IN_DATABASE-1,
_ -      0..FRAGMENTS_IN_RELATION-1.
,      4 ,  
  0   R0F0.txt, R1F0.txt, R2F0.txt, R3F0.txt
  1   R0F1.txt, R1F1.txt, R2F1.txt, R3F1.txt
  2   R0F2.txt, R1F2.txt, R2F2.txt, R3F2.txt
  3   R0F3.txt, R1F3.txt, R2F3.txt, R3F3.txt. 
@memo   
@see RELATIONS_IN_DATABASE FRAGMENTS_IN_RELATION
*/
const char * RELATIONS_FILENAMES[RELATIONS_IN_DATABASE][FRAGMENTS_IN_RELATION]=define_RELATIONS_FILENAMES;

/**
          .
@memo    
@see RELATIONS_IN_DATABASE FRAGMENTS_OF_RELATION
*/
const int TUPLES_IN_FRAGMENT[RELATIONS_IN_DATABASE]=define_TUPLES_IN_FRAGMENT;

/**
          .
       1..ATTRIBUTES_IN_RELATION-1.
    0        
   .
@memo  
@see RELATIONS_IN_DATABASE ATTRIBUTES_IN_RELATION
*/
const int FRAGMENTATION_ATTRIBUTES[RELATIONS_IN_DATABASE]=define_FRAGMENTATION_ATTRIBUTES;

/*@}*/

/*@}*/
